using System;
using System.Collections;

namespace CalculadoraPolInv
{
	/// <summary>
	/// Summary description for CalculadoraPI.
	/// </summary>
	public class CalculadoraPI
	{

		private Stack myStack;
		public CalculadoraPI()
		{
			//
			// TODO: Add constructor logic here
			//
			myStack = new Stack();
		}

		protected bool Operable ()
		{
			return (myStack.Count >= 2);
		}

		public void Apilar (double num)
		{
			myStack.Push(num);
		}

		public void Add ()
		{
			if (Operable())
			{
				double val = (double)myStack.Pop() + (double)myStack.Pop();
				myStack.Push(val);
			}
		}

		public void Sub ()
		{
			if (Operable())
			{
				double val = - (double)myStack.Pop() + (double)myStack.Pop();
				myStack.Push(val);
			}
		}

		public void Mul ()
		{
			if (Operable())
			{
				double val = (double)myStack.Pop() * (double)myStack.Pop();
				myStack.Push(val);
			}
		}

		public void Div ()
		{
			if (Operable())
			{
				double val = (1 / (double)myStack.Pop()) * (double)myStack.Pop();
				myStack.Push(val);
			}
		}

		public double GetValor ()
		{
			if (Count() > 0)
				return (double)myStack.Peek();
			else
				return 0.0;
		}

		public int Count()
		{
			return myStack.Count;
		}

		public void Clear()
		{
			myStack.Clear();
		}
	}
}
