using System;

namespace ConversorEuros.V2
{
	/// <summary>
	/// Summary description for Conversor.
	/// </summary>
	public class Conversor : Model
	{
		private string moneda;   // the name field
		public string Moneda   // the Name property
		{
			get 
			{
				return moneda; 
			}
			set
			{
				moneda = value;
			}
		}

		private double valorCambio;
		public double ValorCambio   // the Name property
		{
			get 
			{
				return valorCambio; 
			}
			set
			{
				valorCambio = value;
			}
		}
		
		private double cantidadCambiar;
		public double CantidadCambiar   // the Name property
		{
			get 
			{
				return cantidadCambiar; 
			}
			set
			{
				cantidadCambiar = value;
			}
		}
		
		private double resultado;
		public double Resultado   // the Name property
		{
			get 
			{
				return resultado; 
			}
			set
			{
				resultado = value;
			}
		}

		public Conversor()
		{
			//
			// TODO: Add constructor logic here
			//
			moneda = "Peseta";
			valorCambio = 166.386;
		}

		public void Cambiar (double val)
		{
			CantidadCambiar = val;
			Resultado = val * valorCambio;
			Notify();
		}

		public void Configurar (string nuevaMoneda, double nuevoValor)
		{
			Moneda = nuevaMoneda;
			ValorCambio = nuevoValor;
			Notify();
		}
	}
}
