using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace ConversorEuros.V2
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.StatusBar statusBarConv;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button buttonSalir;
		private System.Windows.Forms.TextBox monedaCambiar;
		private System.Windows.Forms.TextBox valorMoneda;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button buttonConfigurar;
		private System.Windows.Forms.Button buttonCancelar;
		private System.Windows.Forms.Button buttonLimpiar;
		private System.Windows.Forms.Button buttonConvertir;
		private System.Windows.Forms.TextBox resultado;
		private System.Windows.Forms.TextBox cantidadCambiar;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private Conversor conversor;
		private System.Windows.Forms.TabPage tabPage1;
		private System.Windows.Forms.TabPage tabPage2;
		private Form1View view;
		private System.Windows.Forms.StatusBarPanel statusBarPanel1;
		private System.Windows.Forms.Label labelResultado;
		private System.Windows.Forms.Label labelCantidad;
		private Form1Controller controller;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			conversor = new Conversor();
			view = new Form1View(conversor,this);
			controller = view.GetController();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Acceso desde los estados a los componentes

		public StatusBar GetStatusBar ()
		{
			return statusBarConv;
		}

		public TextBox GetMonedaCambiar()
		{
			return monedaCambiar;
		}

		public TextBox GetValorMoneda()
		{
			return valorMoneda;
		}

		public TextBox GetCantidadCambiar()
		{
			return cantidadCambiar;
		}

		public TextBox GetResultado()
		{
			return resultado;
		}

		public Label GetLabelCantidad()
		{
			return labelCantidad;
		}

		public Label GetLabelResultado()
		{
			return labelResultado;
		}

		#endregion
			

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tabControl1 = new System.Windows.Forms.TabControl();
			this.tabPage1 = new System.Windows.Forms.TabPage();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.buttonConfigurar = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.valorMoneda = new System.Windows.Forms.TextBox();
			this.monedaCambiar = new System.Windows.Forms.TextBox();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.buttonLimpiar = new System.Windows.Forms.Button();
			this.buttonConvertir = new System.Windows.Forms.Button();
			this.labelResultado = new System.Windows.Forms.Label();
			this.labelCantidad = new System.Windows.Forms.Label();
			this.resultado = new System.Windows.Forms.TextBox();
			this.cantidadCambiar = new System.Windows.Forms.TextBox();
			this.statusBarConv = new System.Windows.Forms.StatusBar();
			this.statusBarPanel1 = new System.Windows.Forms.StatusBarPanel();
			this.panel1 = new System.Windows.Forms.Panel();
			this.buttonSalir = new System.Windows.Forms.Button();
			this.tabControl1.SuspendLayout();
			this.tabPage1.SuspendLayout();
			this.tabPage2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).BeginInit();
			this.panel1.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.tabPage1,
																					  this.tabPage2});
			this.tabControl1.Dock = System.Windows.Forms.DockStyle.Top;
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.SelectedIndex = 0;
			this.tabControl1.Size = new System.Drawing.Size(264, 224);
			this.tabControl1.TabIndex = 0;
			this.tabControl1.SelectedIndexChanged += new System.EventHandler(this.tabControl1_SelectedIndexChanged);
			// 
			// tabPage1
			// 
			this.tabPage1.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.buttonCancelar,
																				   this.buttonConfigurar,
																				   this.label2,
																				   this.label1,
																				   this.valorMoneda,
																				   this.monedaCambiar});
			this.tabPage1.Location = new System.Drawing.Point(4, 22);
			this.tabPage1.Name = "tabPage1";
			this.tabPage1.Size = new System.Drawing.Size(256, 198);
			this.tabPage1.TabIndex = 0;
			this.tabPage1.Text = "Configurar";
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.Location = new System.Drawing.Point(136, 160);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(104, 32);
			this.buttonCancelar.TabIndex = 5;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// buttonConfigurar
			// 
			this.buttonConfigurar.Location = new System.Drawing.Point(24, 160);
			this.buttonConfigurar.Name = "buttonConfigurar";
			this.buttonConfigurar.Size = new System.Drawing.Size(104, 32);
			this.buttonConfigurar.TabIndex = 4;
			this.buttonConfigurar.Text = "Configurar";
			this.buttonConfigurar.Click += new System.EventHandler(this.buttonConfigurar_Click);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 88);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(216, 16);
			this.label2.TabIndex = 3;
			this.label2.Text = "Valor de 1  en la moneda";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(24, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(216, 16);
			this.label1.TabIndex = 2;
			this.label1.Text = "Moneda a convertir a ";
			// 
			// valorMoneda
			// 
			this.valorMoneda.Location = new System.Drawing.Point(24, 112);
			this.valorMoneda.Name = "valorMoneda";
			this.valorMoneda.Size = new System.Drawing.Size(216, 20);
			this.valorMoneda.TabIndex = 1;
			this.valorMoneda.Text = "166,386";
			// 
			// monedaCambiar
			// 
			this.monedaCambiar.Location = new System.Drawing.Point(24, 40);
			this.monedaCambiar.Name = "monedaCambiar";
			this.monedaCambiar.Size = new System.Drawing.Size(216, 20);
			this.monedaCambiar.TabIndex = 0;
			this.monedaCambiar.Text = "Peseta";
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.buttonLimpiar,
																				   this.buttonConvertir,
																				   this.labelResultado,
																				   this.labelCantidad,
																				   this.resultado,
																				   this.cantidadCambiar});
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.Size = new System.Drawing.Size(256, 198);
			this.tabPage2.TabIndex = 1;
			this.tabPage2.Text = "Convertir";
			// 
			// buttonLimpiar
			// 
			this.buttonLimpiar.Location = new System.Drawing.Point(136, 160);
			this.buttonLimpiar.Name = "buttonLimpiar";
			this.buttonLimpiar.Size = new System.Drawing.Size(104, 32);
			this.buttonLimpiar.TabIndex = 11;
			this.buttonLimpiar.Text = "Limpiar";
			this.buttonLimpiar.Click += new System.EventHandler(this.buttonLimpiar_Click);
			// 
			// buttonConvertir
			// 
			this.buttonConvertir.Location = new System.Drawing.Point(24, 160);
			this.buttonConvertir.Name = "buttonConvertir";
			this.buttonConvertir.Size = new System.Drawing.Size(104, 32);
			this.buttonConvertir.TabIndex = 10;
			this.buttonConvertir.Text = "Convertir";
			this.buttonConvertir.Click += new System.EventHandler(this.buttonConvertir_Click);
			// 
			// labelResultado
			// 
			this.labelResultado.Location = new System.Drawing.Point(24, 88);
			this.labelResultado.Name = "labelResultado";
			this.labelResultado.Size = new System.Drawing.Size(216, 16);
			this.labelResultado.TabIndex = 9;
			this.labelResultado.Text = "Valor en Pesetas";
			// 
			// labelCantidad
			// 
			this.labelCantidad.Location = new System.Drawing.Point(24, 16);
			this.labelCantidad.Name = "labelCantidad";
			this.labelCantidad.Size = new System.Drawing.Size(216, 16);
			this.labelCantidad.TabIndex = 8;
			this.labelCantidad.Text = "Cantidad de  a Convertir a Pesetas";
			// 
			// resultado
			// 
			this.resultado.Location = new System.Drawing.Point(24, 112);
			this.resultado.Name = "resultado";
			this.resultado.ReadOnly = true;
			this.resultado.Size = new System.Drawing.Size(216, 20);
			this.resultado.TabIndex = 7;
			this.resultado.Text = "0,00";
			// 
			// cantidadCambiar
			// 
			this.cantidadCambiar.Location = new System.Drawing.Point(24, 40);
			this.cantidadCambiar.Name = "cantidadCambiar";
			this.cantidadCambiar.Size = new System.Drawing.Size(216, 20);
			this.cantidadCambiar.TabIndex = 6;
			this.cantidadCambiar.Text = "0,00";
			// 
			// statusBarConv
			// 
			this.statusBarConv.Location = new System.Drawing.Point(0, 277);
			this.statusBarConv.Name = "statusBarConv";
			this.statusBarConv.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																							 this.statusBarPanel1});
			this.statusBarConv.ShowPanels = true;
			this.statusBarConv.Size = new System.Drawing.Size(264, 24);
			this.statusBarConv.TabIndex = 1;
			// 
			// statusBarPanel1
			// 
			this.statusBarPanel1.Text = "Comenzando...";
			this.statusBarPanel1.Width = 250;
			// 
			// panel1
			// 
			this.panel1.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.buttonSalir});
			this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.panel1.Location = new System.Drawing.Point(0, 229);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(264, 48);
			this.panel1.TabIndex = 2;
			// 
			// buttonSalir
			// 
			this.buttonSalir.Location = new System.Drawing.Point(56, 8);
			this.buttonSalir.Name = "buttonSalir";
			this.buttonSalir.Size = new System.Drawing.Size(152, 32);
			this.buttonSalir.TabIndex = 0;
			this.buttonSalir.Text = "Salir";
			this.buttonSalir.Click += new System.EventHandler(this.buttonSalir_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(264, 301);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.panel1,
																		  this.statusBarConv,
																		  this.tabControl1});
			this.Name = "Form1";
			this.Text = "Conversor de ";
			this.tabControl1.ResumeLayout(false);
			this.tabPage1.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).EndInit();
			this.panel1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void buttonSalir_Click(object sender, System.EventArgs e)
		{
			controller.End();
			Close();
		}

		private void tabControl1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			controller.SeleccionaVista(tabControl1.SelectedIndex);
		}

		private void buttonConfigurar_Click(object sender, System.EventArgs e)
		{
			controller.Configurar();
		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			controller.Cancelar();
		}

		private void buttonConvertir_Click(object sender, System.EventArgs e)
		{
			controller.Convertir();
		}

		private void buttonLimpiar_Click(object sender, System.EventArgs e)
		{
			controller.Limpiar();
		}

	}
}
