using System;

namespace ConversorEuros.V2
{
	/// <summary>
	/// Summary description for Form1Controller.
	/// </summary>
	 
	public class Form1Controller : Observer
	{
		private Model model;
		private Form1View view;
		public Form1Controller(Model model, Form1View view)
		{
			//
			// TODO: Add constructor logic here
			//
			this.model = model;
			this.view = view;
			model.Attach(this);

		}

		/// <sumary>
		/// Operaciones como Controller
		/// </sumary>
		public void SeleccionaVista (int i)
		{
			view.ActualizarVista(i);
		}

		public void End ()
		{
			// Operaciones para termianr la aplicacin
		}

		public void Configurar()
		{
			Conversor conv = (Conversor) model;
			conv.Configurar (view.GetForm().GetMonedaCambiar().Text, System.Convert.ToDouble(view.GetForm().GetValorMoneda().Text));
		}

		public void Cancelar()
		{
			view.Update();
		}

		public void Convertir()
		{
			Conversor conv = (Conversor) model;
			conv.Cambiar(System.Convert.ToDouble(view.GetForm().GetCantidadCambiar().Text));
		}

		public void Limpiar()
		{
			Conversor conv = (Conversor) model;
			conv.Cambiar(0);
		}

		/// <summary>
		/// Operaciones como Observer
		/// </summary>
		public void Update ()
		{
		}

	}
}
