using System;

namespace ConversorEuros.V2
{
	/// <summary>
	/// Summary description for Form1View.
	/// </summary>
	public class Form1View : Observer
	{
		private FormEstado estado;
		private FormEstado [] estados;

		private Form1 form;

		private Model model;
		private Form1Controller controller;
		public Form1View(Model model, Form1 form)
		{
			//
			// TODO: Add constructor logic here
			//
			this.model = model;
			model.Attach(this);
			controller = new Form1Controller(model,this);

			estados = new FormEstado [2];
			estados[0] = new EstadoConfigura();
			estados[1] = new EstadoConvierte();
			estado = estados[0];

			this.form = form;
		}

		public void ActualizarVista (int i)
		{
			estado = estados[i];
			Update();
		}

		public Form1Controller GetController ()
		{
			return controller;
		}

		public Form1 GetForm ()
		{
			return form;
		}

		public Conversor GetModel()
		{
			return (Conversor) model;
		}

		public void Update ()
		{
			estado.ActualizarVista(this);
		}

	}
}
