using System;

namespace ConversorEuros.V2
{
	/// <summary>
	/// Summary description for Model.
	/// </summary>
	public abstract class Model
	{
		private Observer [] observers ;
		private int numObservers;
		public Model()
		{
			//
			// TODO: Add constructor logic here
			//
			numObservers = 0;
			observers = new Observer [5];
		}
		protected void Notify ()
		{
			int i;
			for (i=0; i<numObservers; i++)
				observers[i].Update();
		}
		public void Attach (Observer o)
		{
			observers[numObservers++] = o;
		}
		public void Detach ()
		{
			numObservers = 0;
		}
	}
}
