using System;
using System.Collections;

namespace Estadisticas
{
	/// <summary>
	/// Summary description for Estadistica.
	/// </summary>
	public class Estadistica
	{
		private ArrayList myAL;
		public Estadistica()
		{
			//
			// TODO: Add constructor logic here
			//
			myAL = new ArrayList();
		}

		public double Maximo ()
		{
			double max = 0;
			if (myAL.Count > 0)
			{
				System.Collections.IEnumerator myEnumerator = myAL.GetEnumerator();
				myEnumerator.MoveNext();
				max = (double)myEnumerator.Current;
				while ( myEnumerator.MoveNext() )
					if ((double)myEnumerator.Current > max)
						max = (double)myEnumerator.Current;
			}
			return max;
		}

		public double Minimo ()
		{
			double min = 0;
			if (myAL.Count > 0)
			{
				System.Collections.IEnumerator myEnumerator = myAL.GetEnumerator();
				myEnumerator.MoveNext();
				min = (double)myEnumerator.Current;
				while ( myEnumerator.MoveNext() )
					if ((double)myEnumerator.Current < min)
						min = (double)myEnumerator.Current;
			}
			return min;
		}

		public double Media ()
		{
			double med = 0;
			System.Collections.IEnumerator myEnumerator = myAL.GetEnumerator();
			while ( myEnumerator.MoveNext() )
				med += (double)myEnumerator.Current;
			if (myAL.Count > 0)
				return med / myAL.Count;
			else
				return 0;
		}

		public int Count ()
		{
			return myAL.Count;
		}

		public void Insertar (double valor)
		{
			myAL.Add(valor);
		}

		public void Borrar ()
		{
			myAL.Clear();
		}
	}
}
