using System;
using System.Threading;

public class ServerClass
{

	// The method that will be called when the thread is started.
	public void InstanceMethod()
	{
		Console.WriteLine("ServerClass.InstanceMethod est corriendo en otra thread.");
		// Pause for a moment to provide a delay to make threads more apparent.
		Thread.Sleep(3000);
		Console.WriteLine("El mtodo de instancia llamado por el lanzador de hilos ha terminado.");
	}

	public static void StaticMethod()
	{

		Console.WriteLine("ServerClass.StaticMethod est corriendo en otra thread.");
		// Pause for a moment to provide a delay to make threads more apparent.
		Thread.Sleep(5000);
		Console.WriteLine("El mtodo esttico llamado por el lanzador de hilos ha terminado.");
	}

}

public class Simple
{

	public static int Main(String[] args)
	{

		Console.WriteLine("Ejemplo sencillo de hilos (Threads)");

		ServerClass serverObject = new ServerClass();

		// Create the thread object, passing in the serverObject.InstanceMethod method
		// using a ThreadStart delegate.
		Thread InstanceCaller = new Thread(new ThreadStart(serverObject.InstanceMethod));

		// Start the thread.
		InstanceCaller.Start();

		Console.WriteLine("El hilo del Main() sigue aqu despus de haber iniciado el hilo InstanceCaller.");

		// Create the thread object, passing in the serverObject.StaticMethod method
		// using a ThreadStart delegate.
		Thread StaticCaller = new Thread(new ThreadStart(ServerClass.StaticMethod));

		// Start the thread.
		StaticCaller.Start();

		Console.WriteLine("El hilo del Main() sigue aqu despus de haber iniciado el hilo StaticCaller.");

		return 0;
	}
}